package com.fuyuanshen.modules.system.constant;

/**
 * 用户相关常量定义
 *
 * @author: 默苍璃
 * @date: 2025-06-1011:13
 */

public class UserConstants {

    /**
     * 最大用户层级限制
     */
    public static final int MAX_USER_LEVEL = 5;

    /**
     * 用户层级超出限制时的提示信息
     */
    public static final String USER_LEVEL_EXCEED_LIMIT_MESSAGE = "当前用户不允许再创建下级用户！";


    /**
     * 超级管理员用户 ID 默认值
     */
    public static final Long SUPER_ADMIN_ID = 10000L;

}
