package com.fuyuanshen.modules.system.domain.dto.app;

import com.fuyuanshen.modules.system.domain.app.APPUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;

/**
 * @author: 默苍璃
 * @date: 2025-06-1818:36
 */
@Data
public class APPUpdateUserDTO {


    @ApiModelProperty(value = "ID", hidden = true)
    private Long id;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "地区")
    private String region;

    @ApiModelProperty(value = "用户性别")
    private String gender;

    @ApiModelProperty(value = "头像图片")
    private MultipartFile file;
}
