package com.fuyuanshen.modules.system.listener.excel;

import com.fuyuanshen.modules.system.mapper.DeviceMapper;
import com.fuyuanshen.modules.system.mapper.DeviceTypeMapper;
import com.fuyuanshen.modules.system.mapper.UserMapper;
import com.fuyuanshen.modules.system.service.DeviceAssignmentsService;
import com.fuyuanshen.modules.system.service.DeviceService;
import lombok.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author: 默苍璃
 * @date: 2025-06-1414:56
 */
@AllArgsConstructor
@NoArgsConstructor(force = true)
@Getter
@Setter
@Builder
public class DeviceImportParams {

    private DeviceService deviceService;
    private DeviceAssignmentsService deviceAssignmentsService;
    private DeviceMapper deviceMapper;
    private UserMapper userMapper;
    private DeviceTypeMapper deviceTypeMapper;
    private MultipartFile file;
    private String filePath;
    private String ip;
    private String username;
    private Long userId;
    private Long tenantId;

}
