package com.fuyuanshen.modules.system.mapper.app;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fuyuanshen.modules.system.domain.app.APPDeviceType;
import com.fuyuanshen.modules.system.domain.dto.DeviceQueryCriteria;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 97433
 * @description 针对表【app_device_type(设备类型表)】的数据库操作Mapper
 * @createDate 2025-06-24 11:16:18
 * @Entity system.domain.AppDeviceType
 */
@Mapper
public interface AppDeviceTypeMapper extends BaseMapper<APPDeviceType> {

    /**
     * 查询设备类型列表
     *
     * @param criteria 查询条件
     * @return 设备类型列表
     */
    List<APPDeviceType> appTypeList(@Param("criteria")DeviceQueryCriteria criteria);

}
